<?php
/**
 * Da li se nalazimo na stranici 'Moj račun'?
 *
 * @return bool
 */
function is_account_page(): bool {
    static $is_account_page;

    if (!isset($is_account_page)) {
        $is_account_page = is_page(wc_get_page_id('myaccount'));
    }

    return $is_account_page;
}

/**
 * Da li se nalazimo na stranici košarice?
 *
 * @return bool
 */
function is_cart(): bool {
    static $is_cart;

    if (!isset($is_cart)) {
        $is_cart = is_page(wc_get_page_id('cart'));
    }

    return $is_cart;
}

/**
 * Da li se nalazimo na stranici naplate?
 *
 * @return bool
 */
function is_checkout(): bool {
    static $is_checkout;

    if (!isset($is_checkout)) {
        $is_checkout = is_page(wc_get_page_id('checkout'));
    }

    return $is_checkout;
}